import request from '@/utils/request'

// 查询修试后入库的列表
export function getTestedListApi(query) {
  return request({
    url: '/material/repair_input_details/list',
    method: 'get',
    params: query
  })
}

// 查询修试审核详细列表
export function getTestedDetailListApi(query) {
  return request({
    url: '/material/repair_input_details/getById',
    method: 'get',
    params: query
  })
}

// 查询编码类型编码列表
export function getCodeListApi(query) {
  return request({
    url: '/material/repair_input_details/getCodeList',
    method: 'get',
    params: query
  })
} 
//修试入库-通过
export function repairInputWarehouseApi(data) {
  return request({
    url: '/material/repair_input_details/warehouse',
    method: 'post',
    data: data,
  })
}

//修试入库-驳回
export function rejectWarehouseApi(data) {
  return request({
    url: '/material/repair_input_details/reject',
    method: 'post',
    data: data,
  })
}


// //修试审核二级-通过，驳回
// export function auditPass(data) {
//   return request({
//     url: '/material/repair_audit_details',
//     method: 'put',
//     data: data,
//   })
// }




